TechDraw Symbol/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/ru |Name=TechDraw Symbol |Name/ru=TechDraw Symbol |Workbenches=TechDraw |MenuLocation=TechDraw → Symbol |Shortcut= |SeeAlso= }}")
 
(Updating to match new version of source page)
(10 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
{{Docnav
|[[TechDraw_GeometricHatch|Apply Geometric Hatch to Face]]
|[[TechDraw_Image|Insert Bitmap Image]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_GeometricHatch.svg
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_Image.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=TechDraw Symbol
|Name=TechDraw Symbol
Line 7: Line 18:
|SeeAlso=
|SeeAlso=
}}
}}
</div>


==Description==
==Description==
The Symbol tool inserts an SVG file into the page as a view


The Symbol tool inserts an [[SVG|SVG]] file into the page. This symbol can be anything that helps annotating your drawing, and that doesn't need to be further modified.
==How to use==
# Press the {{KEY|[[Image:Symbol.png|24px]] [[TechDraw Symbol|Symbol]]}} button
# A File Save dialog will open. Select a location and file name.


[[Image:TechDraw_SymbolSVG_sample.png|250px]]
==Options==
{{Caption|Compass rose added to the drawing page; this symbol is available by installing the "symbols_library" addon with the [[Std_AddonMgr|Addon Manager]]}}
None.


==Properties==
==Usage==

* n/a
# Press the {{Button|[[Image:TechDraw_Symbol.svg|16px]] [[TechDraw_Symbol|Insert SVG Symbol]]}} button
# A File Save dialog will open.
# Select a location and file name.
# Press {{KEY|OK}}

If the symbol appears larger than expected, use the scale property to adjust its size.

== Notes ==

* {{PropertyData|Scale Type}} for Symbols is always set to ''Custom'' at creation. This is for convenience, since symbols are almost always scaled differently from the rest of the objects on the page.


==Scripting==
==Scripting==

SVG files can be inserted into a drawing page using Python.
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

The Symbol tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following functions:

{{Code|code=
{{Code|code=
sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
Line 34: Line 57:




{{Docnav
==Notes==
|[[TechDraw_GeometricHatch|Apply Geometric Hatch to Face]]
* Symbol appear larger than expected. Use the Scale property to adjust the size.
|[[TechDraw_Image|Insert Bitmap Image]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_GeometricHatch.svg
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_Image.svg
}}

{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}
<languages/>

Revision as of 21:01, 19 July 2020

Other languages:

TechDraw Symbol

Системное название
TechDraw Symbol
Расположение в меню
TechDraw → Symbol
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Description

The Symbol tool inserts an SVG file into the page. This symbol can be anything that helps annotating your drawing, and that doesn't need to be further modified.

Compass rose added to the drawing page; this symbol is available by installing the "symbols_library" addon with the Addon Manager

Usage

  1. Press the Insert SVG Symbol button
  2. A File Save dialog will open.
  3. Select a location and file name.
  4. Press OK

If the symbol appears larger than expected, use the scale property to adjust its size.

Notes

  • ДанныеScale Type for Symbols is always set to Custom at creation. This is for convenience, since symbols are almost always scaled differently from the rest of the objects on the page.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Symbol tool can be used in macros and from the Python console by using the following functions:

sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
rc = page.addView(anno)
f = open(unicode(symbolFileSpec,'utf-8'),'r')
svg = f.read()
f.close()
sym.Symbol = svg
rc = page.addView(sym)